:root {
    --main-color: hsl(0, 0%, 100%);
    --key-color: hsl(0, 100%, 75%);
    --subkey-color: hsl(176, 0%, 95%);
    --highlight-color: rgb(183, 183, 183);

    --main-text-color: hsl(0, 0%, 30%);

    --headerHeight: clamp(50px, 3vw, 60px);

    --shadowColor: hsla(0, 0%, 0%, .1);

    --tagsFontsize: clamp(20px, calc((2.4rem - 1vw)*1.5), 30px);
}

span {
    display: inline-block;
}

h1 {
    font-weight: lighter;
}

button {
    font-weight: lighter;
}


body {
    /* font-family: "Hiragino Kaku Gothic ProN", "Helvetica Neue", "Meiryo", Arial, sans-serif; */
    font-family: "Meiryo", sans-serif;

    color: var(--main-text-color);
    /* iphoneのダイナミックアイランドはここの色 */
    background-color: white;
    font-size: calc(var(--tagsFontsize)*1.5);

    font-weight: lighter;

    z-index: 0;

}



header {
    font-size: calc(var(--headerHeight)*.4);
    background-color: var(--subkey-color);
    width: 100%;
    height: var(--headerHeight);

    display: flex;

    align-items: center;

    /* 上部に固定 */
    position: fixed;
    z-index: 12;
}

/* position: fixedの文下に下げる */
div.dummyHeader {
    width: 100%;
    height: var(--headerHeight);
}

button {
    background-color: rgba(255, 255, 255, 0);
}

div.display {
    /* display: flex; */
}

div.menu {
    /* width: 100px; */
    /* background-color: var(--subkey-color); */
}

div.main {
    background-color: var(--main-color);
    display: flex;
    flex-direction: column;
}


.blockaaa {
    display: grid;
    align-items: center;

    grid-gap: 1vw;
    grid-row-gap: 5vw;

    grid-template-columns: 1fr 2fr;

    @media(max-width:2500px) {
        grid-template-columns: 1fr 1fr;

        @media(max-width:1500px) {
            grid-template-columns: 1fr;
        }
    }
}

.blockaaa>div.Face {
    display: flex;
    flex-direction: column;
    align-items: center;
}


.blockaaa>div>div.model-viewer-backgroung {

    height: min(80vw, 500px);
    width: auto;
    aspect-ratio: 1/1;

    margin-top: 2vw;
    margin-bottom: 2vw;
    margin-left: auto;
    margin-right: auto;

    border-radius: 50%;
    background-color: var(--subkey-color);

}

/* ARボタンを別で管理するためにバックグラウンドを別で設定 */
.blockaaa>div>div.model-viewer-backgroung>model-viewer {
    height: 100%;
    width: 100%;
}


.blockab {
    /* width: 100%; */
}

.blockb {
    width: 100%;
}

section {
    /* 配置関係 */
    margin: max(20px, 0.5vw);
    padding: max(5px, 0.5vw);

}

.sectionTitle {
    margin: .5vw;
    margin-bottom: 0vw;
    font-size: calc(var(--tagsFontsize)*2);

    /* background-color: var(--subkey-color); */
}

.sectionText {
    padding-right: 2vw;
    padding-left: 2vw;
}

.sectionText>p {
    margin-top: 50px;
    margin-bottom: 5px;
}


.FilterTags {}

.FilterTags>button {
    font-size: calc(var(--tagsFontsize)*1);
    /* font-weight: 100; */
    height: calc(var(--tagsFontsize)*2.5);


    padding-left: calc(var(--tagsFontsize)*2);
    padding-right: calc(var(--tagsFontsize)*2);

    margin: .1vw;


    text-align: center;

    border: solid;
    border-width: 1.5px;
    border-color: var(--subkey-color);
    border-radius: 100vh;
    /* background-color: var(--subkey-color); */

    color: var(--main-text-color);
    /* box-shadow: 1px 2px 0px var(--shadowColor); */

    cursor: pointer;
}

@media (hover: hover) and (pointer: fine) {
    .FilterTags>:hover {
        background-color: hsl(0, 75%, 98%);
    }
}


.FilterTags>:active {
    transform: scale(0.9);
    box-shadow: none;
}

/*jsからトグル*/
.FilterTagsActive {
    /* 選択中のものの色を変える */
    /* border-color: var(--key-color) !important; */
    border-color: var(--key-color) !important;

    transform: scale(0.95);
}

.FilterTags ::before {
    /* content: "#"; */
}

.AchiveWork {}

.AchiveWorkPanels {
    margin-top: 0vw;

    /* grid */
    display: grid;
    grid-gap: 2vw;
    grid-row-gap: 1vw;

    /* grid-template-columns: repeat(auto-fill, minmax(clamp(300px, 20vw, 600px), 1fr)); */
    grid-template-columns: repeat(auto-fill, minmax(clamp(400px, calc((7.5rem - 3vw)*5), 600px), 1fr));

    cursor: pointer;

}

@media (hover: hover) and (pointer: fine) {
    .AchiveWork>:hover {
        transition: .5s;
        transform: scale(1.03);
    }
}


div.thumbnailPanel {
    /* 配置関係 */
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;

    /* サイズ */
    width: clamp(0px, 90%, 1000px);

    aspect-ratio: 1 / 1;

    padding: 1%;
    z-index: 1;
}

.AchiveWork>iframe {
    /* 配置関係 */
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;

    /* サイズ */
    width: clamp(0px, 90%, 1000px);

    aspect-ratio: 1 / 1;

    padding: 1%;
    z-index: 1;
}

div.thumbnailPanel>div.title>p {
    pointer-events: none;
    width: 100%;
    height: 5%;

    /* 文字関係 */
    font-size: var(--tagsFontsize);
    text-align: center;
    /* font-weight: 100; */

    z-index: 100;

    /* 改行させない */
    white-space: nowrap
}


div.thumbnailPanel>div.title ::after {
    content: "";
}

div.thumbnailPanel>div.panel {
    width: 90%;
    height: 90%;

    /* 配置 */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    /* はみ出したら隠す */
    overflow: hidden;
    /* object-fit: fill; */

    /* ボーダー関係 */
    border: solid;
    border-width: 1px;
    border-color: var(--subkey-color);
    /* border-radius: 2vw; */
    color: var(--main-text-color);
    /* box-shadow: 0px 0px 1vw var; */

    /* box-shadow: 0px 0px 10px var(--shadowColor); */

    pointer-events: none;

}

div.thumbnailPanel>div.panel>* {
    height: 100%;
}


div.thumbnailpanel>div.panel>video {
    /* min-width: 100%; */
    /* min-height: 100%; */
}

.AchiveWork>div.MainDiscription {
    display: none;
    width: 100%;
    height: 100%;

    /* 中央に固定 */
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    z-index: 101;

    background-color: hsla(0, 0%, 0%, .5);

    flex-direction: column;
    align-items: center;
    justify-content: center;
}

div.MainDiscription>div.Close {
    font-size: calc(var(--tagsFontsize)*1.5);
    color: var(--main-color);
    z-index: 125;
}


div.MainDiscription>iframe {
    z-index: 120;
    width: 90%;
    height: 90%;

    /* text-align: center; */

    color: var(--main-text-color);

    padding: 1vw;
}


div.Article {
    display: flex;
    flex-direction: column;
    align-items: center;

    height: 100vh;
}

div.Article>h1 {
    font-size: calc(var(--tagsFontsize)*1.4);
    margin: 2vw;
}


div.Article>div {
    font-size: calc(var(--tagsFontsize)*.9);

    width: 100%;

    overflow: hidden;

    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-gap: 1vw;
    grid-row-gap: 1vw;

    @media(max-width: 1200px) {
        grid-template-columns: 1fr;
    }
}

div.Article>div>div {
    padding: 2vw;
    padding-top: 0%;
}

div.Article>div>div.Visual {
    max-height: 100%;

    display: flex;
    align-items: center;
}

div.Article>div>div.Discription {
    overflow-y: scroll;
    overscroll-behavior: contain;
}


div.Article>div>div>iframe {
    width: 100%;
    height: auto;
    aspect-ratio: 16 / 9;
}

div.Article>div>div>img {
    width: 100%;
    height: auto;
    /* aspect-ratio: 3 / 2; */
}


div.Article>div>div>blockquote.instagram-media {
    /* width: 100%; */
}

div.model-viewer-backgroung {
    display: flex;
    position: relative;
    /* overflow: hidden; */
}

div.model-viewer-backgroung>div {
    position: absolute;
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    /* overflow: hidden; */

    font-size: calc(var(--tagsFontsize)*.7);

    z-index: 10;
}

model-viewer {
    --progress-bar-color: transparent;
    z-index: 11;
}

.AchiveWorksPanels>div>h1>img {
    /* height: 80%; */
}

div.blockc {
    clear: both;
}

iframe {
    border: none;
}